#! /usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_toolkit_1 = require("@tech_query/node-toolkit");
const commander_jsx_1 = require("commander-jsx");
const WebServer_1 = __importDefault(require("./WebServer"));
const config = node_toolkit_1.configOf('koapache');
commander_jsx_1.Command.execute(commander_jsx_1.createCommand("web-server", { parameters: "[dir] [options]", version: "2.0.0", description: "A Web server which is easy to use in Command-line or as a forked Child process based on Koa", options: {
        port: {
            shortcut: 'p',
            parameters: '<value>',
            description: 'Listening port number (support Environment variable name)'
        },
        CORS: { description: 'Enable CORS middleware' },
        open: {
            shortcut: 'o',
            parameters: '[path]',
            description: 'Open the Index or specific page in default browser'
        }
    }, executor: ({ port, CORS, open }, staticPath) => new WebServer_1.default({
        staticPath,
        netPort: isNaN(port) ? process.env[port] : port,
        XDomain: CORS,
        proxyMap: config === null || config === void 0 ? void 0 : config.proxy,
        openPath: open
    }).localHost() }), process.argv.slice(2));
